measurements
Create a filter set
Create a measurement-report filter set for a ground-truth component.
POST
/
v0
/
components
/
{componentId}
/
filter-sets
Create a filter set
curl --request POST \
--url https://{hostname}.gable.ai/v0/components/{componentId}/filter-sets \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"payloads": [
{
"payloadName": "<string>",
"note": "<string>"
}
]
}
'import requests
url = "https://{hostname}.gable.ai/v0/components/{componentId}/filter-sets"
payload = {
"name": "<string>",
"payloads": [
{
"payloadName": "<string>",
"note": "<string>"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', payloads: [{payloadName: '<string>', note: '<string>'}]})
};
fetch('https://{hostname}.gable.ai/v0/components/{componentId}/filter-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"payloads": [
{
"payloadName": "<string>",
"note": "<string>"
}
],
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
Path Parameters
UUID of the ground-truth component.
Body
application/json
Response
200 - application/json
The created filter set
A named, reusable set of ground-truth payloads used to scope a measurement report. Associated with a ground-truth component (version-independent).
Unique identifier for the filter set.
Ground-truth component this filter set is associated with.
Human-readable name for the filter set.
Payloads included when this filter set is applied.
Show child attributes
Show child attributes
Email of the user who created the filter set.
ISO timestamp when the filter set was created.
ISO timestamp when the filter set was last updated.
⌘I
Create a filter set
